<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
xmlns:math="http://exslt.org/math"
version="2.0">

	<xsl:output method="text"/>
	<xsl:param name="spaceParam" />
	<xsl:param name="mappingParam" />
	
	<xsl:strip-space elements="*"/>
	<xsl:template match="/">
		<!-- on ne travaille qu'avec la première 'row' -->
		<xsl:apply-templates select="file/row[1]"/>
	</xsl:template>
	
	<xsl:template match="file/row">
		<xsl:apply-templates select="ficOri"/>
		<xsl:apply-templates select="ligneOri"/>
		<xsl:apply-templates select="col"/>
		
		<!-- dans le cas d'un 1402 on reecrit les dates de debut et fin -->
		<xsl:if test="col[@id=1]=14">
  		<xsl:if test="col[@id=2]=02">
  			<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_DEBUT_PERIODE',col[@id=10],$spaceParam,$mappingParam)"
  			   xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
  			   xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
  			<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_FIN_PERIODE',col[@id=11],$spaceParam,$mappingParam)"
  			   xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
  			   xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>  			   
  		</xsl:if>
    </xsl:if>	
		
	</xsl:template>
	
	<xsl:template match="ficOri">
		<xsl:value-of select="ext:storeInSpaceWorkflow('ORIGINAL_FILENAME',.,$spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
			xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
	</xsl:template>

	<xsl:template match="ligneOri">
		<xsl:value-of select="ext:storeInSpaceWorkflow('ORIGINAL_LINE',.,$spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
			xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
	</xsl:template>		
	
	<xsl:template match="col">
		<xsl:for-each select=".">
			<xsl:choose>
				<xsl:when test="@id=1">
					<xsl:value-of select="ext:storeInSpaceWorkflow('TYPE_DOC',.,$spaceParam,$mappingParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
					xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
				</xsl:when>				
				<xsl:when test="@id=4">
					<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_OPC',.,$spaceParam,$mappingParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
					xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
				</xsl:when>
				<xsl:when test="@id=5">
					<xsl:value-of select="ext:storeInSpaceWorkflow('CODE_CSSF_COMPARTIMENT',.,$spaceParam,$mappingParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
					xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
				</xsl:when>
				
				<xsl:when test="@id=8">
					<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_DEBUT_PERIODE',.,$spaceParam,$mappingParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
					xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
				</xsl:when>
				<xsl:when test="@id=9">
					<xsl:value-of select="ext:storeInSpaceWorkflow('DATE_FIN_PERIODE',.,$spaceParam,$mappingParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
					xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- Ne rien faire -->
				</xsl:otherwise>	
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>